/*************************************************************

	File: key.h

	Copyright (C) 2012 S.Suwa <www.suwa-koubou.jp>

*/

#ifndef	__KEY_H
#define	__KEY_H

#define	KEY_NONE		0
#define	KEY_CLEAR		0x0c
#define	KEY_ENTER		0x0d
#define	KEY_MODE		0x1b	// KEY_LEFT + KEY_RIGHT
#define KEY_ON_HOOK		0x1c
#define KEY_OFF_HOOK	0x1d
#define	KEY_LEFT		0x1e
#define	KEY_RIGHT		0x1f

#define	KMD_NORMAL		0
#define	KMD_ALPHA		1

#define	INT_TIMES		4
#define	MATCH_TIMES		10

extern	volatile int key_int_count;
extern	volatile int key_match_count;
extern	int		getkey(void);

#endif	// __KEY_H

/*** end of key.h *******************************************/
