/***************************************************************************

	File: pic_timer.h

	Copyright (C) 2012 S.Suwa <www.suwa-koubou.jp>

*/

#ifndef	__PIC_TIMER_H
#define	__PIC_TIMER_H

/*--------------------------------------------------------------------------
	constant definition
--------------------------------------------------------------------------*/


/*--------------------------------------------------------------------------
	function prototype
--------------------------------------------------------------------------*/

extern	void 	timer_initialize(void);
extern	int		timer_entry(unsigned int count, void (*call_back)(void));
extern	void 	timer_update(int tmr_id, unsigned int count);
extern	void 	timer_delete(int tmr_id);
extern	int		timer_check(int tmr_id);
extern	int 	timer_Up(int tmr_id);

extern	unsigned int timer_clock;

#endif
/*** end of pic_timer.h ******************************************************/
