/*************************************************************

	File: sound.h

	Copyright (C) 2012 S.Suwa <www.suwa-koubou.jp>

*/

#ifndef	__SOUND_H
#define	__SOUND_H

#include "typedef.h"

#ifndef	ON
	#define	ON	1
#endif
#ifndef	OFF
	#define	OFF	0
#endif

// below function argument sw variable value is ON or OFF. 
extern	void	dial_tone(int sw);
extern	void	ring_back_tone(int sw);
extern	void	busy_tone(int sw);
extern	void	ring_bell(int sw);
extern	void	voice(int sw);
extern	void	do_ring_back_tone(void);
extern	void	do_ring_bell(void);
extern	void	do_busy_tone(void);
extern	void	do_voice(void);
extern	void	speaker(int sw);

extern	void	play_voice(void);
extern	void	send_voice(void);

extern	uint	decode_g711(uchar data);
extern	uchar	encode_g711(int	data);

extern	int		dtmf_raw(void);
extern	void	dtmf_tone(int dn);

#endif	// __SOUND_H

/*** end of sound.h ******************************************/
